﻿using System.Collections.Generic;
using System.Windows.Media;

namespace TestProject
{
    /// <summary>
    /// 데이터 헬퍼
    /// </summary>
    public class DataHelper
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Static
        //////////////////////////////////////////////////////////////////////////////// Public

        #region 항목 리스트 구하기 - GetItemList()

        /// <summary>
        /// 항목 리스트 구하기
        /// </summary>
        /// <returns>항목 리스트</returns>
        public static List<Item> GetItemList()
        {
            List<Item> list = new List<Item>
            {
                new Item
                {
                    ItemName  = "메시지",
                    ItemImage = (ImageSource)new ImageSourceConverter().ConvertFrom(ImageConstant.MESSAGES)
                },
                new Item
                {
                    ItemName  = "연락처",
                    ItemImage = (ImageSource)new ImageSourceConverter().ConvertFrom(ImageConstant.CONTACTS)
                },
                new Item
                {
                    ItemName  = "달력",
                    ItemImage = (ImageSource)new ImageSourceConverter().ConvertFrom(ImageConstant.CALENDAR)
                },
                new Item
                {
                    ItemName  = "브라우저",
                    ItemImage = (ImageSource)new ImageSourceConverter().ConvertFrom(ImageConstant.BROWSER)
                },
                new Item
                {
                    ItemName  = "미디어",
                    ItemImage = (ImageSource)new ImageSourceConverter().ConvertFrom(ImageConstant.MEDIA)
                },
                new Item
                {
                    ItemName  = "지도",
                    ItemImage = (ImageSource)new ImageSourceConverter().ConvertFrom(ImageConstant.MAPS)
                },
                new Item
                {
                    ItemName  = "시계",
                    ItemImage = (ImageSource)new ImageSourceConverter().ConvertFrom(ImageConstant.CLOCK)
                },
                new Item
                {
                    ItemName  = "탐색",
                    ItemImage = (ImageSource)new ImageSourceConverter().ConvertFrom(ImageConstant.SEARCH)
                },
                new Item
                {
                    ItemName  = "프로필",
                    ItemImage = (ImageSource)new ImageSourceConverter().ConvertFrom(ImageConstant.PROFILES)
                }
            };

            return list;
        }

        #endregion
    }
}